Subject: Re: Tc bug (kernel crash) more info

From: Badalian Vyacheslav <[email-masked]>
Date: Fri, 31 Aug 2007 18:31:55 +0400

Ok =) I hope in next week you found bug place and fix it!

PS. if you ask where i can read "kernel panic dump logic" literature and 
try find bugline in code.
I read dump and see that bug in function "rb_insert_color" + some shift 
(in asm?) that called from htb_dequeue? But in htb_dequeue not have 
calling rb_insert_color =( Or some nodes in trace was skipped?

Its for change up my education ;)
> I'll not be able to assist you until monday (but I'll try to look
> into the code and maybe to prepare some new patch - but it needs
> a lot of checking to not add too much of this locking as well).
>
> I think you can stay with a kernel whichever you like - I'm not sure
> any config changes or even more debugging can change much, but maybe
> I'm wrong. It looks to me like some locking is missing or interrupted.
> If you are working weekends and find something new, don't wait: maybe
> somebody else here could be interested too.
>  
> Cheers,
> Jarek P. 
>
>